<div id="tdr_content_content" style="width:100%;max-width:100%;">
<h1 class="hide-label">Video</h1> 
<!--JWPlayer player config. and script-->

<video controls="controls" id="player">Loading the player...</video>

<% if @course.reports and @course.reports.size > 0 %> 
  <script type="text/javascript">
    let newWidth = 1;
    let parent = document.getElementById('player').parentElement;
    jwplayer("player").setup({
      playlist: [{
        <% @sorted_media.each do |m| %>
        <%
          if m
            wowzaURL = get_wowza_url(m.file_name, '.smil')
            srtURL = get_file_url(m.file_name, '.srt')             
          end
        %>        
        <% if wowzaURL %>
          <% thumbnailURL = "#{Rails.configuration.file_path}#{m.file_name.gsub('.mp4','.jpg')}"%>      
        sources: [
          {file: "https://<%=wowzaURL%>/playlist.m3u8"}
        ],
	      <!--title of media file-->
	      title: "<%= m.title %>",
	      
          <!--Brief media description text area-->
	      description: "Director: <%= m.director %> <br/>Year: <%= m.year %>",
	  	  
	      <!--add image: to display thumbnail-->
	      image: "<%= thumbnailURL%>"
	  
          },{
        <% end %>
      <% end %>
	
      }],
      rtmp: {
        bufferlength: 5,
      },
	    width: "100%",
	    height: "100%",
	    aspectratio: "16:6",
	    skin: 'glow'
    });
    jwplayer().on('ready', function() {
      var myVideos = jwplayer().getPlaylist();
      for (var i = 0; i < myVideos.length; i++) {
        document.getElementById('list').innerHTML += '<li><span class="dropt" title="'+myVideos[i].title+'"><a href="javascript:playThis('+i+')"><img class="img-responsive" src="'+myVideos[i].image+'" <="" img="" height="100%" width="auto"><br>'+myVideos[i].title+'<br/>'+myVideos[i].description+'</a><br><span style="width:500px;" <="" span=""></span></span></li>';
      }      
    });
    function playThis(index) {
      jwplayer().playlistItem(index);
    }	
  </script>
<% end %>
      </div>
      <div class="ListItems" style="position:inherit;width:100%;">
        <div id="list">
        </div>
      </div>
    </div>